Subject: Re: Feature request: "inverted" ping -a (beep on failure)

From: Martin Topholm <[email-masked]>
Date: Fri, 15 Apr 2011 23:57:01 +0200

On Fri, 15 Apr 2011, Christian Boltz wrote:
> I'd like to have the exact opposite of it: beep when pinging fails.

I too have missed this feature (from the BSDs ping). Also I needed
adhoc tracking of multiple hosts. So I experimented with libevent2 and
some code from the BSD ping...

You can see the result here http://hoth.dk/xping/screenshot.jpeg
or http://hoth.dk/xping/xping-20110415.tar.gz .

> I understand that this is slightly difficult because "ping success" is 
> easier to detect (incoming package) than "ping failure" (no incoming 
> package or firewall reject)

I used the transmit interval for timeout. There's propably a lot of
corner cases I haven't thought about, but it works fairly well.

Regards, Martin